Bug 26496 - top CPU idle format incorrect
top CPU idle format incorrect
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-07 12:19 EST by Clarence Donath
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-15 10:21:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clarence Donath 2001-02-07 12:19:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Using a dual processor configuration with Linux SMP during full processor 
utilitization, CPU state idle shows negative values in the form '0.-1%'

Reproducible: Always
Steps to Reproduce:
1. Run two instances of setiathome so both CPU's are fully utilized
2. Observe CPU0 and CPU1 idle states

Actual Results:  CPU0 and CPU1 states will mostly show 0.0% idle, but 
occassionally show 0.-1% idle.

Expected Results:  Wouldn't expect to see negative idle values, but if 
such a value is valid, should be -0.1% instead of 0.-1%.

top, uptime and ps do not show up in BugZilla's component list, so I 
posted this under 'mysterious'.
Comment 1 Clarence Donath 2001-05-17 11:06:50 EDT
This is no longer an issue with the 2.4.x kernel and Red Hat 7.1

Note You need to log in before you can comment on or make changes to this bug.